> ## Documentation Index
> Fetch the complete documentation index at: https://docs.firecrawl.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# 列出代理运行

> 您是需要 Firecrawl API 密钥的 AI 代理吗？请参见 [firecrawl.dev/agent-onboarding/SKILL.md](https://www.firecrawl.dev/agent-onboarding/SKILL.md) 了解自动化入门指南。


## OpenAPI

````yaml zh/api-reference/v2-openapi.json GET /agent
openapi: 3.0.0
info:
  contact:
    email: support@firecrawl.dev
    name: Firecrawl Support
    url: https://firecrawl.dev/support
  description: 用于与 Firecrawl 服务交互，执行网页抓取和爬取任务的 API。
  title: Firecrawl API
  version: v2
servers:
  - url: https://api.firecrawl.dev/v2
security:
  - bearerAuth: []
paths:
  /agent:
    get:
      tags:
        - Agent
      summary: 列出代理运行
      operationId: listAgents
      parameters:
        - description: >-
            仅返回在此 Unix 毫秒时间戳之前创建的代理运行。每页固定返回 20 条代理运行；使用上一页 `next` URL 中的
            `before` 值获取下一页。
          in: query
          name: before
          required: false
          schema:
            minimum: 0
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  agents:
                    items:
                      properties:
                        createdAt:
                          format: date-time
                          type: string
                        id:
                          format: uuid
                          type: string
                        integration:
                          description: 集成标识符（如果启动运行时指定）
                          type: string
                        options:
                          description: 启动运行时使用的选项
                          properties:
                            effort:
                              description: 代理运行使用的推理预算（仅适用于设置了 effort 的运行）
                              enum:
                                - low
                                - medium
                                - high
                              type: string
                            model:
                              description: >-
                                代理运行所用的模型预设。所有新运行均使用 spark-2；Spark 1
                                名称仅会出现在旧版运行中。
                              enum:
                                - spark-2
                                - spark-1-pro
                                - spark-1-mini
                              type: string
                            prompt:
                              type: string
                            schema:
                              type: object
                            urls:
                              items:
                                format: uri
                                type: string
                              type: array
                          type: object
                        origin:
                          description: 运行来源（例如 "api"）
                          type: string
                        settings:
                          properties:
                            hidden:
                              type: boolean
                            label:
                              type: string
                            starred:
                              type: boolean
                          type: object
                        status:
                          enum:
                            - processing
                            - completed
                            - failed
                          type: string
                        targetHint:
                          description: 简要说明运行目标（第一个 URL 或 prompt）
                          type: string
                      type: object
                    type: array
                  next:
                    description: 下一页的绝对 URL，仅在有更多页面时提供。
                    type: string
                  success:
                    type: boolean
                type: object
          description: 代理运行列表，按最新优先排序
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    example: Invalid before timestamp.
                    type: string
                type: object
          description: 请求错误 — before 时间戳无效。
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````